List Invoices
curl --request GET \
--url https://api.wizcommerce.com/v2/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wizcommerce.com/v2/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wizcommerce.com/v2/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"reference_id": "INV-20250101",
"order_ids": [
"01f5d171-d3e3-4b2b-bd57-0727194b5bed"
],
"invoice_number": "INV-20250101",
"total_amount": 269.96,
"paid_amount": 100,
"invoice_status": "SENT",
"payment_method": "card",
"payment_terms": "Net 30",
"po_number": "PO-2026-001",
"sales_rep_id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"shipped_date": "2026-07-15T00:00:00Z",
"shipping_method": "FedEx Ground",
"status": "PAID",
"due_date": "2025-01-01T00:00:00Z",
"remarks": "Remarks",
"url": "https://example.com/invoice/INV-20250101",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"items": [
{
"name": "Item Name",
"sku": "SKU-20250101",
"product_id": "1234567890",
"amount": 1000000,
"final_unit_price": 1100000,
"item_total": 1000000,
"tax_charges": {
"tax_value": 10,
"tax_type": "percentage",
"discount_value": 5,
"discount_type": "value",
"shipping_charge_value": 15,
"shipping_charge_type": "value",
"additional_charge_name": "Handling Fee",
"additional_charge_value": 2.5,
"additional_charge_type": "value"
},
"item_status": {
"ordered_quantity": 10,
"shipped_quantity": 4,
"open_quantity": 6,
"ship_date": "2026-07-15T00:00:00Z",
"delivered_date": "2026-07-20T00:00:00Z",
"requested_ship_date": "2026-07-14T00:00:00Z",
"requested_delivery_date": "2026-07-21T00:00:00Z"
},
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"quantity": 1000000,
"reference_id": "ITEM-20250101"
}
],
"charges": [
{
"name": "Tax",
"type": "tax",
"value_type": "value",
"amount": 100
}
],
"attributes": [
{
"id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"name": "Color",
"value": "Red",
"created_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"updated_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}
]
}
],
"pagination": {
"total_records": 100,
"total_pages": 10,
"current_page": 1,
"next_page": 2,
"prev_page": 0,
"page_size": 10
}
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Invoices
List Invoices
List Invoices
GET
/
v2
/
invoices
List Invoices
Authorizations
API Key for authentication
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter by invoice IDs. Repeat param for multiple: ?ids=&ids=
Filter by invoice reference IDs. Repeat param for multiple: ?reference_ids=INV-1&reference_ids=INV-2
Maximum array length:
255Available options:
created_at, updated_at Available options:
asc, desc Available options:
PAID, PENDING Filter by lifecycle status. Repeat param for multiple: ?invoice_statuses=SENT&invoice_statuses=OVERDUE
Was this page helpful?
⌘I
